<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddVpnGroupReq StructType
 * @subpackage Structs
 */
class AddVpnGroupReq extends APIRequest
{
    /**
     * The vpnGroup
     * @var XVpnGroup
     */
    public $vpnGroup;
    /**
     * Constructor method for AddVpnGroupReq
     * @uses AddVpnGroupReq::setVpnGroup()
     * @param XVpnGroup $vpnGroup
     */
    public function __construct(XVpnGroup $vpnGroup = null)
    {
        $this
            ->setVpnGroup($vpnGroup);
    }
    /**
     * Get vpnGroup value
     * @return XVpnGroup|null
     */
    public function getVpnGroup()
    {
        return $this->vpnGroup;
    }
    /**
     * Set vpnGroup value
     * @param XVpnGroup $vpnGroup
     * @return AddVpnGroupReq
     */
    public function setVpnGroup(XVpnGroup $vpnGroup = null)
    {
        $this->vpnGroup = $vpnGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddVpnGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
